Graphics
Intel® graphics drivers and software, compatibility, troubleshooting, performance and optimization
17452 Discussions

Opengl 3.3 Needed to run Luminar

cgandiaga
Beginner
570 Views

I had been running Luminar 4 on my HP Envy machine on Windows 10 (HD Graphics 530 Card) for several years.    Recently, Windows did one of its "updates" and it no longer works (asks for the dreaded OpenGL 3.3 or higher).  What can I do to fix this situation as this software is essential for my photo editing needs.  Thanks!

0 Kudos
1 Reply
AlHill
Super User
559 Views

Intel HD Graphics 530 supports OpenGL 4.6

Look under "core processors" here:

https://www.intel.com/content/www/us/en/support/articles/000005524/graphics.html

 

So the Intel support engineers can have more information about your system, Download, run, and save the results of this utility as a text file:
https://downloadcenter.intel.com/download/25293/Intel-System-Support-Utility

Then ATTACH the text file using the instructions under the reply window ( Drag and drop here or browse files to attach ).

 

Doc (not an Intel employee or contractor)

Reply